www.cendio.com
Bug 5578 - include symbolic icons for the client and server apps
: include symbolic icons for the client and server apps
Status: CLOSED FIXED
: ThinLinc
Other
: pre-1.0
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-06-29 12:30 by
Modified: 2015-09-25 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-06-29 12:30:12
Gnome 3.16 has started using the symbolic version of application icons for
display on the top bar. We should include such as well so that we have the same
look as the included applications.
------- Comment #1 From cendio 2015-06-29 12:30:28 -------
Information about symbolic icons:

https://github.com/GNOME/gnome-icon-theme-symbolic
------- Comment #2 From cendio 2015-06-29 13:59:52 -------
It's not just the client that has icons. tl-setup and such as it as well.
------- Comment #3 From cendio 2015-06-29 16:45:00 -------
All done. Also did some cleanups. Tester needs to verify:

 - Installed application/mime-type
 - Installed normal PNG files for sizes 16/24/48
 - Installed symbolic PNG files for sizes 16/24/48
 - Installed normal SVG
 - Installed symbolic SVG
 - That rpm -qf works on all above files (%ghost check)
 - Cleanup on uninstall

This needs to be done for:

 - tlclient
 - tlclient's mime type
 - tl-setup
 - tlwebadm
 - tlwebaccess

And also of course check that gnome 3.16+ shows the symbolic icon in the top
bar. Note that only tlclient and tl-setup can be tested for this.
------- Comment #4 From cendio 2015-08-12 12:18:46 -------
(In reply to comment #3)
> All done. Also did some cleanups. Tester needs to verify:
> 
>  - Installed application/mime-type

Verified that application-vnd.cendio.thinlinc.clientconf mime types are
installed.

>  - Installed normal PNG files for sizes 16/24/48
>  - Installed symbolic PNG files for sizes 16/24/48
>  - Installed normal SVG
>  - Installed symbolic SVG
>

Verified that each icon is installed of different formats specified above. 4
normal and 4 symbolic.

>  - That rpm -qf works on all above files (%ghost check)
>

Verified that all files are owned by ThinLinc packages:

  find /usr/share/icons/ -name *thinlinc* | xargs rpm -qf 

However there are some files that is not owned which is probably created by xdg
tools.

.../16x16/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png
.../24x24/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png
.../48x48/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png


>  - Cleanup on uninstall
>

Verified that uninstallation of server and client removes the file. The files
mentioned above created by xdg tools are also removed.

> This needs to be done for:
> 
>  - tlclient
>  - tlclient's mime type
>  - tl-setup
>  - tlwebadm
>  - tlwebaccess
>

> And also of course check that gnome 3.16+ shows the symbolic icon in the top
> bar. Note that only tlclient and tl-setup can be tested for this.

Looks good...
------- Comment #5 From cendio 2015-08-12 12:19:30 -------
(In reply to comment #4)
> However there are some files that is not owned which is probably created by xdg
> tools.
> 
> .../16x16/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png
> .../24x24/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png
> .../48x48/mimetypes/gnome-mime-application-vnd.cendio.thinlinc.clientconf.png
> 
> 
> >  - Cleanup on uninstall
> >
> 
> Verified that uninstallation of server and client removes the file. The files
> mentioned above created by xdg tools are also removed.
> 

We should probably add ghost entries for those gnome-mime... files.
------- Comment #6 From cendio 2015-08-12 15:51:39 -------
(In reply to comment #5)
> 
> We should probably add ghost entries for those gnome-mime... files.

Fixed in r30660.

One might consider also adding those compatibility icons for the symbolic icons
and the SVGs as well. But probably not worth the effort given that it is for
legacy support.
------- Comment #7 From cendio 2015-08-14 08:24:15 -------
(In reply to comment #6)
> (In reply to comment #5)
> > 
> > We should probably add ghost entries for those gnome-mime... files.
> 
> Fixed in r30660.
> 
> One might consider also adding those compatibility icons for the symbolic icons
> and the SVGs as well. But probably not worth the effort given that it is for
> legacy support.

Looks good.